Get Collection Account
curl --request GET \
--url https://service-sandbox.tazapay.com/v3/collection_account/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/collection_account/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/collection_account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"id": "cva_crqinja9chqqs7moi8rg",
"object": "virtual_account",
"type": "virtual_account",
"payment_method_type": "local_bank_transfer_cad",
"country": "CA",
"ftn": [
{
"name": "eft",
"transfer_limit": {
"currency": "CAD",
"min_limit": 1,
"max_limit": 2500000
},
"additional_information": ""
}
],
"currencies": [
"CAD"
],
"status": "enabled",
"alias": "CAD Collection Account",
"description": "This account is used for CAD collections",
"is_reenablement_supported": true,
"virtual_account": {
"account_holder_name": "John Doe",
"account_number": "1234567890-56-7890",
"iban": "",
"bank_name": "RBC Royal Bank",
"bank_branch": "Main Branch",
"bank_address": {
"address_line_1": "100 Main St",
"city": "Toronto",
"country": "Canada"
},
"bank_codes": {
"routing_code": "026009593",
"swift_code": "ROYCCAT2"
}
},
"requests": [
{
"id": "cvar_crqinja9chqqs7moi8rg1",
"object": "collection_account_request",
"collection_account_id": "cva_crqinja9chqqs7moi8rg",
"type": "enable",
"status": "succeeded",
"created_at": "2024-09-26T09:39:25Z",
"updated_at": "2024-09-26T09:39:30Z",
"status_description": "Account enabled successfully."
}
],
"status_description": "",
"metadata": {
"usecase": "This account is used for CAD collections"
},
"created_at": "2024-09-26 09:39:25.03501 +0000 UTC",
"updated_at": "2024-09-26 09:41:43.349835 +0000 UTC"
}
}Collection Account
Get Collection Account
Retrieves the details of an existing collection account by its unique ID.
GET
/
v3
/
collection_account
/
{id}
Get Collection Account
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique ID of the collection account to retrieve.
Was this page helpful?